[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.AfterPost

Event called after changes have been posted to the underlying database

## Declaration

Source position: db.pas line 1755

`public property TDataSet.AfterPost : TDataSetNotifyEvent read FAfterPost write FAfterPost;`

## Description

AfterPost is triggered when the TDataset.Post operation was successfully completed, and the dataset is again in dsBrowse state. If an error occurred during the post operation, then the AfterPost event is not called, but the TDataset.OnPostError event is triggered instead.

## See also

TDataset.BeforePost |  | Event called before changes are posted to the underlying database
TDataset.Post |  | Post pending edits to the database.
TDataset.State |  | Current operational state of the dataset
TDataset.OnPostError |  | Event triggered when a post operation fails.